Bug 990934 - Document that '--distro' CLI param overrides '--tag' and '--family'
Document that '--distro' CLI param overrides '--tag' and '--family'
Status: NEW
Product: Beaker
Classification: Community
Component: Doc (Show other bugs)
0.13
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 04:58 EDT by wangjing
Modified: 2018-02-05 19:41 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Dan Callaghan 2013-08-01 18:40:06 EDT
It doesn't make sense to use --tag as well as --distro, because --distro names a specific distro whereas --tag combined with --family picks the latest distro with that tag. So they are mutually exclusive.

However the --help output and man page could be more explicit about this, and the option parser should probably point out the error.
Comment 3 Nick Coghlan 2013-09-02 21:31:52 EDT
Making this a docs bug. I don't think it's worth the backwards compatibility risk of making the options mutually exclusive rather than just documenting that --distro overrides the others.

Note You need to log in before you can comment on or make changes to this bug.